Методы API
DEVELOPER PLATFORM · v1

API, с которым удобно работать

CRM, кампании, аналитика и интеграции. Точные контракты, понятные примеры и подписанные вебхуки.

Скачать OpenAPI

Private preview: API доступен с проектным ключом. Публичные SLA и сроки поддержки ещё не установлены.

GET

Оценка обращения CRM

/api/v1/developer/crm/tickets/{ticketId}/rating

Возвращает отдельно разрешённый nullable feedback snapshot: score, comment, source и recordedAt без project, customer, staff identity или переписки.

Право доступаcrm.tickets.ratings.read

Authorization: Bearer YOUR_PROJECT_TOKEN

Параметры

ticketIdобязательно · path

stringminLength: 1 · maxLength: 160

JSON Schema
{
  "type": "string",
  "minLength": 1,
  "maxLength": 160
}

Примеры запроса

curl --request GET   'https://YOUR_NOVA_HOST/api/v1/developer/crm/tickets/TICKET_ID/rating'   --header 'Authorization: Bearer YOUR_PROJECT_TOKEN'

Ответы

200 Nullable minimized CRM ticket rating
application/json

object

ratingобязательно
object | null
Вложенная схема

object | null

scoreобязательно
integerminimum: 1 · maximum: 5
commentобязательно
string | nullminLength: 1 · maxLength: 1000
sourceобязательно
stringenum: ["operator","customer"]
recordedAtобязательно
stringformat: "date-time"
JSON Schema
{
  "type": [
    "object",
    "null"
  ],
  "properties": {
    "score": {
      "type": "integer",
      "minimum": 1,
      "maximum": 5
    },
    "comment": {
      "type": [
        "string",
        "null"
      ],
      "minLength": 1,
      "maxLength": 1000
    },
    "source": {
      "type": "string",
      "enum": [
        "operator",
        "customer"
      ]
    },
    "recordedAt": {
      "type": "string",
      "format": "date-time"
    }
  },
  "required": [
    "score",
    "comment",
    "source",
    "recordedAt"
  ],
  "additionalProperties": false
}
JSON Schema
{
  "type": "object",
  "properties": {
    "rating": {
      "type": [
        "object",
        "null"
      ],
      "properties": {
        "score": {
          "type": "integer",
          "minimum": 1,
          "maximum": 5
        },
        "comment": {
          "type": [
            "string",
            "null"
          ],
          "minLength": 1,
          "maxLength": 1000
        },
        "source": {
          "type": "string",
          "enum": [
            "operator",
            "customer"
          ]
        },
        "recordedAt": {
          "type": "string",
          "format": "date-time"
        }
      },
      "required": [
        "score",
        "comment",
        "source",
        "recordedAt"
      ],
      "additionalProperties": false
    }
  },
  "required": [
    "rating"
  ],
  "additionalProperties": false,
  "$ref": "#/components/schemas/DeveloperCrmTicketRatingResponse"
}
401 Invalid developer credential
application/problem+json

object

type
stringformat: "uri" · default: "about:blank"
titleобязательно
string
statusобязательно
integerminimum: 100 · maximum: 599
detail
string
instance
string
errors
object
JSON Schema
{
  "type": "object",
  "properties": {
    "type": {
      "type": "string",
      "format": "uri",
      "default": "about:blank"
    },
    "title": {
      "type": "string"
    },
    "status": {
      "type": "integer",
      "minimum": 100,
      "maximum": 599
    },
    "detail": {
      "type": "string"
    },
    "instance": {
      "type": "string"
    },
    "errors": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "title",
    "status"
  ]
}
403 CRM tickets entitlement or membership unavailable
application/problem+json

object

type
stringformat: "uri" · default: "about:blank"
titleобязательно
string
statusобязательно
integerminimum: 100 · maximum: 599
detail
string
instance
string
errors
object
JSON Schema
{
  "type": "object",
  "properties": {
    "type": {
      "type": "string",
      "format": "uri",
      "default": "about:blank"
    },
    "title": {
      "type": "string"
    },
    "status": {
      "type": "integer",
      "minimum": 100,
      "maximum": 599
    },
    "detail": {
      "type": "string"
    },
    "instance": {
      "type": "string"
    },
    "errors": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "title",
    "status"
  ]
}
404 CRM ticket not found
application/problem+json

object

type
stringformat: "uri" · default: "about:blank"
titleобязательно
string
statusобязательно
integerminimum: 100 · maximum: 599
detail
string
instance
string
errors
object
JSON Schema
{
  "type": "object",
  "properties": {
    "type": {
      "type": "string",
      "format": "uri",
      "default": "about:blank"
    },
    "title": {
      "type": "string"
    },
    "status": {
      "type": "integer",
      "minimum": 100,
      "maximum": 599
    },
    "detail": {
      "type": "string"
    },
    "instance": {
      "type": "string"
    },
    "errors": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "title",
    "status"
  ]
}
429 Developer API rate limit exceeded
application/problem+json

object

type
stringformat: "uri" · default: "about:blank"
titleобязательно
string
statusобязательно
integerminimum: 100 · maximum: 599
detail
string
instance
string
errors
object
JSON Schema
{
  "type": "object",
  "properties": {
    "type": {
      "type": "string",
      "format": "uri",
      "default": "about:blank"
    },
    "title": {
      "type": "string"
    },
    "status": {
      "type": "integer",
      "minimum": 100,
      "maximum": 599
    },
    "detail": {
      "type": "string"
    },
    "instance": {
      "type": "string"
    },
    "errors": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "title",
    "status"
  ]
}
503 Developer API rate limiter unavailable
application/problem+json

object

type
stringformat: "uri" · default: "about:blank"
titleобязательно
string
statusобязательно
integerminimum: 100 · maximum: 599
detail
string
instance
string
errors
object
JSON Schema
{
  "type": "object",
  "properties": {
    "type": {
      "type": "string",
      "format": "uri",
      "default": "about:blank"
    },
    "title": {
      "type": "string"
    },
    "status": {
      "type": "integer",
      "minimum": 100,
      "maximum": 599
    },
    "detail": {
      "type": "string"
    },
    "instance": {
      "type": "string"
    },
    "errors": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "title",
    "status"
  ]
}